Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601259 - torsocks: tsocks_gethostbyname_r does not assign result
Summary: torsocks: tsocks_gethostbyname_r does not assign result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torsocks
Version: 28
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:868f3901a620c13609654cb910c...
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-07-15 17:42 UTC by dn49i7+hdm8u5shsmcg
Modified: 2018-12-10 23:19 UTC (History)
13 users (show)

Fixed In Version: torsocks-2.3.0-1.fc28 torsocks-2.3.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-15 23:45:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2018-07-15 17:42 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: cgroup (deleted)
2018-07-15 17:42 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: core_backtrace (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: cpuinfo (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: dso_list (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: environ (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: exploitable (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: limits (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: maps (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: mountinfo (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: open_fds (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
File: proc_pid_status (deleted)
2018-07-15 17:43 UTC, dn49i7+hdm8u5shsmcg
no flags Details
patchfile (deleted)
2018-07-16 00:21 UTC, dn49i7+hdm8u5shsmcg
no flags Details | Diff

Description dn49i7+hdm8u5shsmcg 2018-07-15 17:42:54 UTC
Description of problem:
Install tor and torsocks packages

# systemctl start tor
$ torsocks firefox

Version-Release number of selected component:
firefox-61.0.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: __strlen_power8
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=e8891cd1261f473d9ba0bdc8dc145533;i=6a8f;b=b27579ea9d744f9391a8e7b05a44002d;m=2ac355155;t=5710d17b9a814;x=2fdd917338b58209
kernel:         4.17.6-200.amdgpu_patches.fc28.ppc64le
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strlen_power8 at ../sysdeps/powerpc/powerpc64/power8/strlen.S:47
 #1 CopyHostent at ../../.././nspr/pr/src/misc/prnetdb.c:513
 #2 PR_GetHostByName at ../../.././nspr/pr/src/misc/prnetdb.c:699
 #3 nsProfileLock::LockWithSymlink(nsIFile*, bool) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/profile/nsProfileLock.cpp:325
 #4 nsProfileLock::Lock(nsIFile*, nsIProfileUnlocker**) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/profile/nsProfileLock.cpp:541
 #5 XREMain::XRE_mainStartup(bool*) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/xre/nsAppRunner.cpp:4171
 #7 XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/xre/nsAppRunner.cpp:4964
 #8 XRE_main(int, char**, mozilla::BootstrapConfig const&) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/xre/nsAppRunner.cpp:5071
 #9 mozilla::BootstrapImpl::XRE_main(int, char**, mozilla::BootstrapConfig const&) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/toolkit/xre/Bootstrap.cpp:49
 #10 do_main(int, char**, char**) at /usr/src/debug/firefox-61.0.1-1.fc28.ppc64le/browser/app/nsBrowserApp.cpp:231

Comment 1 dn49i7+hdm8u5shsmcg 2018-07-15 17:42:58 UTC
Created attachment 1459001 [details]
File: backtrace

Comment 2 dn49i7+hdm8u5shsmcg 2018-07-15 17:42:59 UTC
Created attachment 1459002 [details]
File: cgroup

Comment 3 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:01 UTC
Created attachment 1459003 [details]
File: core_backtrace

Comment 4 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:02 UTC
Created attachment 1459004 [details]
File: cpuinfo

Comment 5 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:04 UTC
Created attachment 1459005 [details]
File: dso_list

Comment 6 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:05 UTC
Created attachment 1459006 [details]
File: environ

Comment 7 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:07 UTC
Created attachment 1459007 [details]
File: exploitable

Comment 8 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:08 UTC
Created attachment 1459008 [details]
File: limits

Comment 9 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:10 UTC
Created attachment 1459009 [details]
File: maps

Comment 10 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:11 UTC
Created attachment 1459010 [details]
File: mountinfo

Comment 11 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:13 UTC
Created attachment 1459011 [details]
File: open_fds

Comment 12 dn49i7+hdm8u5shsmcg 2018-07-15 17:43:14 UTC
Created attachment 1459012 [details]
File: proc_pid_status

Comment 13 dn49i7+hdm8u5shsmcg 2018-07-15 23:45:43 UTC
Bug in torsocks sent for review

https://trac.torproject.org/projects/tor/ticket/26794

Comment 14 dn49i7+hdm8u5shsmcg 2018-07-16 00:21:46 UTC
Created attachment 1459038 [details]
patchfile

Comment 15 Fedora Update System 2018-11-19 21:09:20 UTC
torsocks-2.3.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b026df7072

Comment 16 Fedora Update System 2018-11-19 21:21:17 UTC
torsocks-2.3.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c2e8d8d251

Comment 17 Fedora Update System 2018-11-19 21:33:26 UTC
torsocks-2.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0c6cd20963

Comment 18 Fedora Update System 2018-11-21 04:31:23 UTC
torsocks-2.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c2e8d8d251

Comment 19 Fedora Update System 2018-11-21 05:10:31 UTC
torsocks-2.3.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b026df7072

Comment 20 Fedora Update System 2018-11-21 18:34:53 UTC
torsocks-2.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0c6cd20963

Comment 21 Fedora Update System 2018-11-30 02:11:58 UTC
torsocks-2.3.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-11-30 02:49:18 UTC
torsocks-2.3.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.